'use strict';

const sectionQuery = require('./section');

module.exports = (db, id) => {
    return {
        where: {
            id: id
        },
        order: [[
            {
                model: db.gallery_content
            },
            'order_index',
            'ASC'
        ]],
        include: [
            {
                model: db.gallery_content,
                include: [
                    {
                        model: db.image,
                        include: sectionQuery(db)
                    }
                ]
            }
        ]
    };
};