/* no-console:0 */
"use strict";

const assert = require('chai').assert;
const server = require("./setup");

describe('/healthcheck', () => {
    it('give back basic app information', (done) => {
        server
            .get('/healthcheck')
            .end((err, res) => {
                assert.equal(res.header['content-type'], 'application/json; charset=utf-8');
                assert.equal(res.body.version, process.env.npm_package_version);
                done();
            });
    });
});
