"use strict";

let assert = require("chai").assert;
let createTags = require("../../../toJSON/tag");

const tagsTemplate = [{type: 'tag'}, {tag_id: 'a:tag:id', name: 'a tag', id:'nationals.33'}];

describe("Tags ToJSON", () => {

    it('should build a tag tuple', function () {
        const actual = createTags(tagsTemplate);
        assert.deepEqual(actual, [{type: 'tag'}, {tag_id: 'a:tag:id', name: 'a tag', id:'nationals.33'}]);
    });
});