'use strict';

const R = require('ramda');
const createImage = require('./image');

module.exports = function (imageDimensions, galleryContent) {

    if(R.has('image', galleryContent) && !R.isNil(galleryContent.image)) {
        return createImage(imageDimensions, [{}, galleryContent.image]);
    }
};