module.exports = {
    "article": {
        "id": 'nationals.123456789',
        "escenic_id": 123456789,
        "source": "nationals",
        "type": 'news',
        "primary_tag": 'Queen',
        "file_name": 'file.ece',
        "created_date": new Date('2016-06-09T07:50:11.000Z'),
        "published_date": new Date('2016-06-09T07:50:11.000Z'),
        "last_modified_date": new Date('2016-06-09T07:50:11.000Z'),
        "state": 'published',
        "interactive": false,
        "sub_type": 'sponsored',
        "exclude_mobile": false,
        "heading": 'Test Article',
        "social_headline": 'Social headline',
        "lead_text": 'This is some lead text',
        "lead_media_type": 'image',
        "owner_url": 'http://www.mirror.co.uk/blah/blah',
        "home_section_id": "nationals.71"
    },
    "liveEvent": {
        "id": "nationals.9014003",
        "escenic_id": 9014003,
        "source": "nationals",
        "home_section_id": "nationals.71",
        "type": "live-event",
        "file_name": "filename.ece",
        "created_date": new Date("2016-10-10T00:05:01.000+00:00"),
        "published_date": new Date("2016-10-10T00:05:01.000+00:00"),
        "last_modified_date": new Date("2016-10-10T06:05:32.000+00:00"),
        "sponsored": false,
        "state": "published",
        "title": "Fake Live Event",
        "primary_tag": null,
        "owner_url": "http://www.mirror.co.uk/live-event-9014003"
    },
    "article_author_le": {
        "article_id": "nationals.9014003",
        "author_id": "nationals.12345",
        "name": "Joe LiveEvent"
    },
    "section71": {
        "id": 'nationals.71',
        "escenic_id": 71,
        "source": "nationals",
        "name": 'new section',
        "publication_id": 'nationals.2',
        "url": "http://www.mirror.co.uk/incoming/"
    },
    "publication":{
        "id":"nationals.2",
        "name":"mirror",
        "source":"nationals",
        "escenic_id":2
    },
    "sectionNoPub": {
        "id": 'nationals.58008',
        "escenic_id": 58008,
        "source": "nationals",
        "name": 'new section',
        "publication_id": 'nationals.404',
        "relative_path": 'incoming'
    },
    "publication2": {
        "id": 'nationals.2',
        "source": "nationals",
        "escenic_id": 2,
        "name": "mirror",
        "base_url": "www.mirror.co.uk"
    },
    "articleContent": [
        {
            static_content: {
                "type": 'text', body: 'This is the first paragraph'
            },
            order_index: 1
        },
        {
            order_index: 2,
            static_content: {
                caption: "a big ole caption"
            },
            created_at: "2016-07-25T12:51:32.471Z",
            updated_at: "2016-07-25T12:51:32.471Z",
            article_id: 'nationals.123456789',
            content_item: {
                image_id: 'nationals.6662380'
            }
        },
        {
            order_index: 3,
            static_content: {
                "type":"embed",
                "escenic_id":12345,
                "sub_type":"poll"
            },
            created_at: "2016-07-25T12:51:32.471Z",
            updated_at: "2016-07-25T12:51:32.471Z",
            article_id: 'nationals.123456789',
            content_item: {
                image_id: 'nationals.6662380'
            }
        }
    ],
    "cache": {
        "id": 'nationals.3333333',
        "escenic_id": 3333333,
        "source": "nationals",
        "type": 'news',
        "primary_tag": 'Queen',
        "file_name": 'file.ece',
        "created_date": new Date('2016-06-09T07:50:11.000Z'),
        "published_date": new Date('2016-06-09T07:50:11.000Z'),
        "last_modified_date": new Date('2016-06-09T07:50:11.000Z'),
        "state": 'published',
        "interactive": false,
        "sponsored": true,
        "exclude_mobile": false,
        "heading": 'Cache',
        "social_headline": 'Cache headline',
        "lead_text": 'I hate cache invalidation',
        "lead_media_type": 'image',
        "owner_url": 'http://www.mirror.co.uk/blah/Cache',
        "home_section_id": "nationals.71"
    },
    "image": {
        "id": 'nationals.6662380',
        "escenic_id": 6662380,
        "source": "nationals",
        title: "test-title",
        image_credit: "test image credit",
        file_name: "article6662380.ece",
        caption: "test caption",
        alttext: "test alttext",
        home_section_id: "nationals.71",
        last_modified_date: new Date('2016-06-09T07:50:11.000Z'),
        alternates: {
            "s510": {
                "output": {
                    "height": 339,
                    "width": 510
                }
            },
            "s482b": {
                "output": {
                    "height": 321,
                    "width": 321
                }
            },
            "s510b": {
                "output": {
                    "height": 382,
                    "width": 510
                }
            },
            "s615": {
                "output": {
                    "height": 409,
                    "width": 615
                }
            },
            "s615b": {
                "output": {
                    "height": 461,
                    "width": 615
                }
            },
            "s1227b": {
                "output": {
                    "height": 1000,
                    "width": 1227
                }
            },
            "s1000000000b": {
                "output": {
                    "height": 1000000000,
                    "width": 1000000000
                }
            }
        }
    },
    "image2": {
        "id": 'nationals.238989999',
        "escenic_id": 238989999,
        "source": "nationals",
        title: "test-title",
        image_credit: "test image credit",
        file_name: "article238989999.ece",
        caption: "test caption",
        alttext: "test alttext",
        home_section_id: "nationals.71",
        last_modified_date: new Date('2016-06-09T07:50:11.000Z'),
        alternates: null
    },
    "imageArticleRelation": {
        static_content: {
            caption: 'an article specific caption',
            alttext: "some updated alttext"
        },
        order_index: 0,
        relation_type: 'part-of',
        created_at: "2016-07-25T15:17:20.896Z",
        updated_at: "2016-07-25T15:17:20.896Z",
        article_id: 'nationals.123456789',
        image_id: 'nationals.6662380'
    },
    "picturerelArticleRelation": {
        static_content: {
            caption: 'an article specific caption'
        },
        order_index: 0,
        relation_type: 'picturerel',
        created_at: "2016-07-25T15:17:20.896Z",
        updated_at: "2016-07-25T15:17:20.896Z",
        content_item: {
            image_id: 'nationals.6662380'
        },
        article_id: 'nationals.123456789'
    },
    "video": {
        "id": 'nationals.4328934',
        "escenic_id": 4328934,
        "source": "nationals",
        title: "test-title",
        sub_type: "youtubeVideo",
        video_id: "nf1j345131l3k451",
        thumbnail_url: "http://www.blahblah.co.uk/thumb_url",
        home_section_id: "nationals.71",
        last_modified_date: new Date('2016-06-09T07:50:11.000Z')
    },
    "gallery": {
        "id": 'nationals.1181180',
        "escenic_id": 1181180,
        "source": "nationals",
        "title": "test-title",
        "home_section_id": "nationals.71",
        last_modified_date: new Date('2016-06-09T07:50:11.000Z')
    },
    "html": {
        "id": 'nationals.8392',
        "escenic_id": 8392,
        "source": "nationals",
        "title": "html-title",
        "html": "<f\'inAnything>stuff</f\'inAnything>",
        "home_section_id": "nationals.71",
        "last_modified_date": 1092956400000
    },
    "tweetHtml": {
        "id": 'nationals.99991',
        "escenic_id": 99991,
        "source": "nationals",
        title: "html-title",
        "html": "<p>&lt;blockquote class=\"twitter-tweet\" lang=\"en-gb\"&gt;&lt;p&gt;Ed Balls &lt;a href=\"http://t.co/CccTFuCIqn\"&gt;http://t.co/CccTFuCIqn&lt;/a&gt;&lt;/p&gt;&amp;mdash; Ed Balls (@EddyBalls) &lt;a href=\"https://twitter.com/EddyBalls/status/1123581321345589\"&gt;September 26, 2014&lt;/a&gt;&lt;/blockquote&gt;</p>",
        "home_section_id": "nationals.71"
    },
    "tweet": {
        "id": '1123581321345589',
        "data": {
            "tweet": "Ed Balls"
        }
    },
    "tags": [
        {
            id: "some:tag:id",
            name: "Crime",
            relevance: 1,
            tag_id:"nationals.3"
        },
        {
            id: "some:other:tag:id",
            name: "Murder",
            relevance: 1,
            tag_id: "nationals.33"
        }
    ],
    "article_author": {
        "article_id": "nationals.123456789",
        "author_id": "nationals.12345",
        "name": "Joe Bloggs"
    },
    "quiz": {
        "id": 'nationals.3425',
        "escenic_id": 3425,
        "source": "nationals",
        title: "Quiz Title",
        home_section_id: "nationals.71",
        last_modified_date: 1092956400000
    },
    "author_api_response":[{"imageUrl":"https://is.mirror.co.uk/incoming/article676579.ece/ALTERNATES/s98/LAURIE-HANA.png","twitterId":"LaurieHanna","description":"Laurie Hanna is a London-based news reporter covering all aspects of the London 2012 Olympics and Paralympics.","url":"http://www.mirror.co.uk/authors/laurie-hanna/","name":"Laurie Hanna","id":"nationals.58"}],
    "author_api_response_no_links":[{"twitterId":"LaurieHanna","description":"Laurie Hanna is a London-based news reporter covering all aspects of the London 2012 Olympics and Paralympics.","name":"Laurie Hanna","id":"nationals.88"}],
    "author_get_response":{
        author_id: 'nationals.58',
        id: 'nationals.58',
        imageUrl: 'https://is.mirror.co.uk/incoming/article676579.ece/ALTERNATES/s98/LAURIE-HANA.png',
        twitterId: 'LaurieHanna',
        description: 'Laurie Hanna is a London-based news reporter covering all aspects of the London 2012 Olympics and Paralympics.',
        url: 'http://www.mirror.co.uk/authors/laurie-hanna/',
        name: 'Laurie Hanna'
    },
    "author_api_response_404":{
        "code": "NotFoundError",
        "message": "No genuine IDs were given in query string"
    },
    "embeddedType":{
        "escenic_id":12345,
        "sub_type":"poll"
    }
};
