'use strict';

const assert = require('chai').assert;
const createSection = require('../../../toJSON/section');

const sectionTemplate = {
    id: 'nationals.10',
    escenic_id: 10,
    source: 'nationals',
    name: 'celeb',
    publication_id: 7,
    url: 'http://www.mirror.co.uk/celeb/'
};

describe('Section JSON', function () {

    it('should build a JSON object with the correct fields', function (done) {
        const section = sectionTemplate;
        const json = createSection(section);
        assert.equal(json.name, 'celeb');
        assert.equal(json.url, 'http://www.mirror.co.uk/celeb/');
        done();
    });
});
